Skip to content

Update Skill ​

MCP Tool
update_skillUpdate Skill
Rate Limit
Default
Scope
skills:write

Updates a skill.

Example ​

bash
curl -X PATCH 'https://api.youvico.com/api/skills/SK1234567890ABCD' \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
    "description": "Summarizes review comments.",
    "metadata": null,
    "allowedTools": null,
    "license": null,
    "default": { "id": "SV1234567890ABCD" }
  }'

Request ​

Path ​

idstringrequired
Skill ID

Body ​

namestring

1-100 characters

Skill name
descriptionstring

1-1024 characters

Skill description

Example: Summarizes review comments.

metadataRecord<string, string>?
String metadata

Example: null

allowedToolsstring[]?
Allowed tool identifiers

Example: null

licensestring?
Skill license

Example: null

defaultobject
Default version
default.idstringrequired
Skill version ID

Example: SV1234567890ABCD

Response ​

Returns 204 No Content.